muParser: mu::ParserInt Class Reference

# mu::ParserInt Class Reference

Mathematical expressions parser. More...

`#include <muParserInt.h>`

Inheritance diagram for mu::ParserInt:

List of all members.

## Public Member Functions
| ParserInt ()
| Constructor.
virtual void | InitFun ()
| Initialize the default functions.
virtual void | InitOprt ()
| Initialize operators.
virtual void | InitConst ()
virtual void | InitCharSets ()
## Static Private Member Functions
static int | Round (value_type v)
static value_type | Abs (value_type)
static value_type | Sign (value_type)
static value_type | Ite (value_type, value_type, value_type)
static value_type | UnaryMinus (value_type)
static value_type | Sum (const value_type *a_afArg, int a_iArgc)
static value_type | Min (const value_type *a_afArg, int a_iArgc)
static value_type | Max (const value_type *a_afArg, int a_iArgc)
static value_type | Add (value_type v1, value_type v2)
static value_type | Sub (value_type v1, value_type v2)
static value_type | Mul (value_type v1, value_type v2)
static value_type | Div (value_type v1, value_type v2)
static value_type | Mod (value_type v1, value_type v2)
static value_type | Shr (value_type v1, value_type v2)
static value_type | Shl (value_type v1, value_type v2)
static value_type | LogAnd (value_type v1, value_type v2)
static value_type | LogOr (value_type v1, value_type v2)
static value_type | LogXor (value_type v1, value_type v2)
static value_type | And (value_type v1, value_type v2)
static value_type | Or (value_type v1, value_type v2)
static value_type | Xor (value_type v1, value_type v2)
static value_type | Less (value_type v1, value_type v2)
static value_type | Greater (value_type v1, value_type v2)
static value_type | LessEq (value_type v1, value_type v2)
static value_type | GreaterEq (value_type v1, value_type v2)
static value_type | Equal (value_type v1, value_type v2)
static value_type | NotEqual (value_type v1, value_type v2)
static value_type | Not (value_type v1)
static int | IsHexVal (const char_type *a_szExpr, int *a_iPos, value_type *a_iVal)
static int | IsBinVal (const char_type *a_szExpr, int *a_iPos, value_type *a_iVal)
static int | IsVal (const char_type *a_szExpr, int *a_iPos, value_type *a_iVal)

## Detailed Description

Mathematical expressions parser.

This version of the parser handles only integer numbers. It disables the built in operators thus it is slower than muParser. Integer values are stored in the double value_type and converted if needed.

## Constructor & Destructor Documentation

mu::ParserInt::ParserInt | ( |  | ) |

Constructor.

Call ParserBase class constructor and trigger Function, Operator and Constant initialization.

References InitFun(), and InitOprt().

The documentation for this class was generated from the following files:

- muParserInt.h
- muParserInt.cpp